#ifndef LINEEDITWIDGETFACTORY_H
#define LINEEDITWIDGETFACTORY_H

#include "IxWidgetFactory.h"
#include "LineEditWidget.h"

class LineEditWidgetFactory : public IxWidgetFactory
{

public:
	LineEditWidgetFactory();
	~LineEditWidgetFactory();

	virtual void create(qx::IxDataMember *dataMember, QWidget *parent) override;

	virtual QString type() const override;

	virtual QWidget* getWidget() const override;

	virtual IxWidget* getIxWidget() const override;

private:
	LineEditWidget *widget;
};

#endif
